Create a webhook endpoint

Create a new webhook endpoint to receive notifications for specific events.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Webhook represents a webhook that is registered with the Ophelos API. Webhooks are used to notify your application when a specific event occurs in the Ophelos system.

string
required

The URL that will receive the webhook notification when the specified event occurs. This field specifies the endpoint where the webhook payload will be sent.

boolean

A flag indicating whether the webhook is enabled. If this field is set to false, the webhook will not receive any notifications.

enabled_events
array of strings

A list of event types that will trigger the webhook notification. This field specifies the events that will be monitored by the webhook.

Show Details
*Subscribe to all possible events (wildcard)
customer.createdTriggered when a new customer record is created in the system
customer.updatedTriggered when customer information is modified
customer.deletedTriggered when a customer record is removed from the system
customer_contact_detail.createdTriggered when new contact information is added for a customer
customer_contact_detail.updatedTriggered when customer contact information is modified
customer_contact_detail.deletedTriggered when customer contact information is removed
debt.createdTriggered when a new debt is registered in the system
debt.updatedTriggered when debt information is modified
debt.deletedTriggered when a debt record is removed
debt.closedTriggered when a debt case is formally closed
debt.openedTriggered when a debt case is opened or reopened
debt.initialzingTriggered when loaded into Ophelos
debt.preparedTriggered when debt is prepared for processing
debt.pausedTriggered when debt processing is temporarily suspended
debt.withdrawnTriggered when debt is withdrawn from active processing
debt.analysingTriggered when debt is under analysis
debt.resumedTriggered when a paused debt resumes
debt.contactedTriggered when initial contact attempt is made
debt.contact_establishedTriggered when successful contact is made with the debtor
debt.contact_failedTriggered when contact attempts with the debtor fail
debt.enrichingTriggered when additional data is being gathered for the debt
debt.returnedTriggered when debt is returned to the original creditor
debt.dischargedTriggered when debt is legally discharged
debt.arrangingTriggered when payment arrangements are being negotiated
debt.payingTriggered when debt is in active repayment status
debt.settledTriggered when debt is settled for an agreed amount
debt.paidTriggered when debt is fully paid off
debt.queriedTriggered when a query is raised about the debt
debt.disputedTriggered when debt is formally disputed
debt.defaultedTriggered when payment defaults occur
debt.follow_up_requiredTriggered when debt requires follow-up action
debt.adjustedTriggered when debt amount or terms are adjusted
debt.assessingTriggered when debt is being assessed for collection
debt.recoveringTriggered when debt is in active recovery status
debt.process_exhaustedTriggered when all collection processes have been exhausted
debt.legal_protectionTriggered when debt receives legal protection status
payment.createdTriggered when a new payment is created
payment.updatedTriggered when payment details are modified
payment.deletedTriggered when a payment record is removed
payment.succeededTriggered when a payment is successfully processed
payment.failedTriggered when a payment attempt fails
payment.processingTriggered when a payment is being processed
payment.cancelledTriggered when a payment is cancelled
payment.refundedTriggered when a payment is refunded
payment.preparingTriggered when a payment is being prepared for processing
payment.disputedTriggered when a payment is disputed
payment.scheduledTriggered when a future payment is scheduled
payment_plan.createdTriggered when a new payment plan is created
payment_plan.updatedTriggered when a payment plan is modified
payment_plan.deletedTriggered when a payment plan is removed
payment_plan.activatedTriggered when a payment plan becomes active
payment_plan.suggestedTriggered when a payment plan is proposed
payment_plan.finishedTriggered when a payment plan is completed
payment_plan.canceledTriggered when a payment plan is canceled
enabled_events
filters
object

Optional filters to control when webhooks are triggered. These filters allow you to specify conditions that must be met for the webhook to be sent.

string
enum

The version of the webhook API that will be used to send the webhook requests.

Allowed:
credentials
object

The credentials that will be used to authenticate the webhook requests.

metadata
object

A set of key-value pairs that you can attach to a debt object. It can be useful for storing additional information about the debt in a structured format.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*